"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BOOKS_TYPES_NEGATEABLE_S = exports.BOOKS_TYPES_NEGATEABLE = exports.BOOK_TYPES_REACTIVE = exports.PLACE_OPERATION = exports.PLACE_KINDS = exports.BOOK_OPS = exports.BOOK_OP_CREDIT = exports.BOOK_OP_DEBIT = exports.BOOK_TYPES = exports.BOOK_PENDING_ENJOYER = exports.BOOK_REFUNDS_ENJOYER = exports.BOOK_PAYOUTS_ENJOYER = exports.BOOK_PAYINS_ENJOYER = exports.BOOK_QUEUED_AUTHOR = exports.BOOK_PENDING_AUTHOR = exports.BOOK_DEPRIVATIONS_AUTHOR = exports.BOOK_REFUNDS_AUTHOR = exports.BOOK_PAYOUTS_AUTHOR = exports.BOOK_PAYINS_AUTHOR = void 0;
exports.BOOK_PAYINS_AUTHOR = 'payins.author';
exports.BOOK_PAYOUTS_AUTHOR = 'payouts.author';
exports.BOOK_REFUNDS_AUTHOR = 'refunds.author';
// whatever was taken from them by force - i.e. an Enjoyer called a refund
exports.BOOK_DEPRIVATIONS_AUTHOR = 'deprivations.author';
exports.BOOK_PENDING_AUTHOR = 'pending.author';
// blocked by the system before an attempt to pay out thru external system
exports.BOOK_QUEUED_AUTHOR = 'queued.author';
exports.BOOK_PAYINS_ENJOYER = 'payins.enjoyer';
exports.BOOK_PAYOUTS_ENJOYER = 'payouts.enjoyer';
exports.BOOK_REFUNDS_ENJOYER = 'refunds.enjoyer';
exports.BOOK_PENDING_ENJOYER = 'pending.enjoyer';
exports.BOOK_TYPES = [
    exports.BOOK_PAYINS_AUTHOR,
    exports.BOOK_REFUNDS_AUTHOR,
    exports.BOOK_PENDING_AUTHOR,
    exports.BOOK_PAYOUTS_AUTHOR,
    exports.BOOK_QUEUED_AUTHOR,
    exports.BOOK_DEPRIVATIONS_AUTHOR,
    exports.BOOK_PAYINS_ENJOYER,
    exports.BOOK_PAYOUTS_ENJOYER,
    exports.BOOK_REFUNDS_ENJOYER,
    exports.BOOK_PENDING_ENJOYER,
];
exports.BOOK_OP_DEBIT = 'debit';
exports.BOOK_OP_CREDIT = 'credit';
exports.BOOK_OPS = [exports.BOOK_OP_DEBIT, exports.BOOK_OP_CREDIT]; // we operate only on assets and liabilities;
// a "place" naming is from Closure language and means a "mutable entity" which is book (account) in our case
exports.PLACE_KINDS = ['asset', 'liability'];
exports.PLACE_OPERATION = ['increase', 'decrease'];
/* these types involved in reactions to external events; they're indicators or what happens in the real world */
exports.BOOK_TYPES_REACTIVE = [
    exports.BOOK_REFUNDS_AUTHOR,
    exports.BOOK_PAYOUTS_AUTHOR,
    exports.BOOK_PAYINS_ENJOYER,
    exports.BOOK_REFUNDS_ENJOYER,
    exports.BOOK_DEPRIVATIONS_AUTHOR,
];
exports.BOOKS_TYPES_NEGATEABLE = exports.BOOK_TYPES_REACTIVE;
exports.BOOKS_TYPES_NEGATEABLE_S = new Set(exports.BOOKS_TYPES_NEGATEABLE);
