"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.currencyParser = exports.currencyAmountParser = void 0;
const zod_1 = require("zod");
const constants_1 = require("./constants");
const queryParams_1 = require("../common/parsers/queryParams");
exports.currencyAmountParser = (0, queryParams_1.makePositiveIntegerQueryParser)('Currency');
exports.currencyParser = zod_1.z.enum(constants_1.CURRENCIES);
