import { StripeCustomerId } from '../stripe/types';
import { PaypalCustomerId } from '../payinProvider/types';
import { ORIGIN_TYPE_PAYPAL, ORIGIN_TYPE_STRIPE } from './constants';
export declare type OriginTypeToOriginId = {
    [ORIGIN_TYPE_STRIPE]: StripeCustomerId;
    [ORIGIN_TYPE_PAYPAL]: PaypalCustomerId;
};
