import { z } from 'zod';

export const booleanQueryParser = z
  .enum(['true', 'false', ''])
  .optional()
  .transform((v) => (v === 'true' ? true : v === 'false' ? false : undefined));

export const timestampParser = z.number().int();
