// for assertions like one type *looks like* a subtype of another
// is a duplicate of an existing type in curator-payments-server
// eslint-disable-next-line @typescript-eslint/no-unused-vars
export type Subset<T extends U, U> = U;

export type Isomorphism<A, B> = {
  to: (x: A) => B;
  from: (x: B) => A;
};

export const cast =
  <T>() =>
  (o: any) =>
    o as T;
