export declare const BOOK_PAYINS_AUTHOR: "payins.author";
export declare const BOOK_PAYOUTS_AUTHOR: "payouts.author";
export declare const BOOK_REFUNDS_AUTHOR: "refunds.author";
export declare const BOOK_DEPRIVATIONS_AUTHOR: "deprivations.author";
export declare const BOOK_PENDING_AUTHOR: "pending.author";
export declare const BOOK_QUEUED_AUTHOR: "queued.author";
export declare const BOOK_PAYINS_ENJOYER: "payins.enjoyer";
export declare const BOOK_PAYOUTS_ENJOYER: "payouts.enjoyer";
export declare const BOOK_REFUNDS_ENJOYER: "refunds.enjoyer";
export declare const BOOK_PENDING_ENJOYER: "pending.enjoyer";
export declare const BOOK_TYPES: ("payins.author" | "payouts.author" | "refunds.author" | "deprivations.author" | "pending.author" | "queued.author" | "payins.enjoyer" | "payouts.enjoyer" | "refunds.enjoyer" | "pending.enjoyer")[];
export declare const BOOK_OP_DEBIT: "debit";
export declare const BOOK_OP_CREDIT: "credit";
export declare const BOOK_OPS: readonly ["debit", "credit"];
export declare const PLACE_KINDS: readonly ["asset", "liability"];
export declare const PLACE_OPERATION: readonly ["increase", "decrease"];
export declare const BOOK_TYPES_REACTIVE: readonly ["refunds.author", "payouts.author", "payins.enjoyer", "refunds.enjoyer", "deprivations.author"];
export declare const BOOKS_TYPES_NEGATEABLE: readonly ["refunds.author", "payouts.author", "payins.enjoyer", "refunds.enjoyer", "deprivations.author"];
export declare const BOOKS_TYPES_NEGATEABLE_S: Set<"payouts.author" | "refunds.author" | "deprivations.author" | "payins.enjoyer" | "refunds.enjoyer">;
