"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timestampParser = exports.booleanQueryParser = void 0;
const zod_1 = require("zod");
exports.booleanQueryParser = zod_1.z
    .enum(['true', 'false', ''])
    .optional()
    .transform((v) => (v === 'true' ? true : v === 'false' ? false : undefined));
exports.timestampParser = zod_1.z.number().int();
