"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PAYMENT_INTENT_ID_PARAM_NAME = exports.PAYIN_PROVIDERS = exports.PAYIN_ORIGIN_TYPES = exports.PAYIN_CHANNEL_API_LITERAL_TYPE = exports.PAYIN_USER_API_LITERAL_TYPE = void 0;
const constants_1 = require("../paymentProvider/constants");
const constants_2 = require("../origin/constants");
// user but not user
// which means it's an api 'user' string severed from the graph 'user' string
// more comments in [8c2eab11-1e88-41dc-a520-ed22af399f96]
exports.PAYIN_USER_API_LITERAL_TYPE = 'user';
// same for channel
exports.PAYIN_CHANNEL_API_LITERAL_TYPE = 'channel';
exports.PAYIN_ORIGIN_TYPES = constants_2.ORIGIN_TYPES_EXTERNAL;
exports.PAYIN_PROVIDERS = constants_1.PAYMENT_PROVIDERS;
exports.PAYMENT_INTENT_ID_PARAM_NAME = 'paymentIntentId';
