import { AuthorPayoutArgs } from '../types';
import { payoutQueueQueryParser, payoutQueueResultParser, payoutStatusResultParser } from '../parsers';
import z from 'zod';
export declare type PayoutQueueItem = {
    args: AuthorPayoutArgs;
    left: AuthorPayoutArgs;
};
export declare type PayoutQueueStatusResult = z.infer<typeof payoutStatusResultParser>;
export declare type PayoutQueueQuery = z.infer<typeof payoutQueueQueryParser>;
export declare type PayoutQueueResult = z.infer<typeof payoutQueueResultParser>;
